xcb_xkb_get_device_info_reply_t Struct Reference
XCB xkb API

xcb_xkb_get_device_info_reply_t More...

`#include <xkb.h>`

## Data Fields

uint8_t | response_type
uint8_t | deviceID
uint16_t | sequence
uint32_t | length
uint16_t | present
uint16_t | supported
uint16_t | unsupported
uint16_t | nDeviceLedFBs
uint8_t | firstBtnWanted
uint8_t | nBtnsWanted
uint8_t | firstBtnRtrn
uint8_t | nBtnsRtrn
uint8_t | totalBtns
uint8_t | hasOwnState
uint16_t | dfltKbdFB
uint16_t | dfltLedFB
uint8_t | pad0 [2]
xcb_atom_t | devType
uint16_t | nameLen

## Detailed Description

xcb_xkb_get_device_info_reply_t

The documentation for this struct was generated from the following file:

- xkb.h